import {MetaProbeStatus} from '../meta';
import {Domain} from '../domain';
import {Member} from '../member';

export interface Probe {
  id?: number;
  status?: MetaProbeStatus;
  description?: string;
  createDate?: Date;
  domain?: Domain;
  probeKey?: string;
  encryptionKey?: string;
  displayName?: string;
  cidr?: string;
  authorizeDate?: Date;
  authorizeMember?: Member;
  targetCount?: number;
  connectDate?: Date;
  connectAddress?: string;
}