import {MetaNoAuthProbeStatus} from '../meta';
import {Domain} from '../domain';
import {Probe} from '../probe';
import { NoAuthProbeDescription } from './NoAuthProbeDescription';

export interface NoAuthProbe {
  id?: number;
  description?: string;
  descriptions?: NoAuthProbeDescription;
  status?: MetaNoAuthProbeStatus;
  tempProbeKey?: string;
  createDate?: Date;
  apiKey?: string;
  domain?: Domain;
  probe?: Probe;
  connectAddress?: string;
  connectDate?: Date;
}